> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Session

> 
Permanently delete a session and all associated completions. Use when removing test data or honoring data deletion requests.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json delete /api/v2/projects/{project_id}/sessions/{session_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/sessions/{session_id}:
    delete:
      tags:
        - Observability
      summary: Delete Session
      description: >-

        Permanently delete a session and all associated completions. Use when
        removing test data or honoring data deletion requests.
      operationId: delete_delete_session
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: session_id
          in: path
          required: true
          schema:
            type: string
      responses: {}
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````